<?php

declare(strict_types=1);

namespace Dedi\SyliusMegamenuPlugin\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;

class DirectLinkCollectionEntryTranslation extends EntryTranslation implements DirectLinkCollectionEntryTranslationInterface
{
    /**
     * @var Collection|DirectLinkEntryTranslationInterface[]
     */
    protected $directLinkCollection;

    public function __construct()
    {
        $this->directLinkCollection = new ArrayCollection();
    }

    public function getDirectLinkCollection(): Collection
    {
        return $this->directLinkCollection;
    }

    public function addDirectLink(DirectLinkEntryTranslationInterface $directLinkEntry): DirectLinkCollectionEntryTranslationInterface
    {
        if (!$this->hasDirectLink($directLinkEntry)) {
            $this->directLinkCollection->add($directLinkEntry);
        }

        return $this;
    }

    public function removeDirectLink(DirectLinkEntryTranslationInterface $directLinkEntry): DirectLinkCollectionEntryTranslationInterface
    {
        if ($this->hasDirectLink($directLinkEntry)) {
            $this->directLinkCollection->removeElement($directLinkEntry);
        }

        return $this;
    }

    public function hasDirectLink(DirectLinkEntryTranslationInterface $directLinkEntry): bool
    {
        return $this->directLinkCollection->contains($directLinkEntry);
    }
}
